Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.reflect
Class TypeToken.TypeSet

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingCollection<E>
              com.google.common.collect.ForwardingSet<TypeToken<? super T>>
                  com.google.common.reflect.TypeToken.TypeSet

All Implemented Interfaces:
  Serializable, Iterable<TypeToken<? super T>>, Collection<TypeToken<? super T>>, Set<TypeToken<? super T>>

Enclosing class:
  TypeToken<T>

    public class TypeToken.TypeSet

extends ForwardingSet<TypeToken<? super T>>
implements Serializable

The set of interfaces and classes that `T` is or is a subtype of. `Object` is not included in the set if this type is an interface.

See Also:
  Serialized Form

Method Summary
`TypeToken.TypeSet` | `classes()` Returns the types that are classes.
`protected Set<TypeToken<? super T>>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
`TypeToken.TypeSet` | `interfaces()` Returns the types that are interfaces implemented by this type.
`Set<Class<? super T>>` | `rawTypes()` Returns the raw types of the types in this set, in the same order.

Methods inherited from class com.google.common.collect.ForwardingSet
`equals, hashCode, standardEquals, standardHashCode, standardRemoveAll`

Methods inherited from class com.google.common.collect.ForwardingCollection
`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, standardAddAll, standardClear, standardContains, standardContainsAll, standardIsEmpty, standardRemove, standardRetainAll, standardToArray, standardToArray, standardToString, toArray, toArray`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### interfaces

    public TypeToken.TypeSet interfaces()

  Returns the types that are interfaces implemented by this type.

### classes

    public TypeToken.TypeSet classes()

  Returns the types that are classes.

### delegate

    protected Set<TypeToken<? super T>> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingSet<TypeToken<? super T>>`

### rawTypes

    public Set<Class<? super T>> rawTypes()

  Returns the raw types of the types in this set, in the same order.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.